System.Security 2.0.0.0 4.0.0.0 System.Security.Cryptography.Xml.KeyInfoClause

The class wraps the class, which allows you to add the class as a subelement of the class. Initialize the class to an instance of the class when you need to add an encrypted session key to your encrypted XML document.

Wraps the class, it to be placed as a subelement of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor does not initialize the class using an instance of the class. Use the property to specify an object when you use this constructor.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class using an object.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Xml.EncryptedKey To be added.

  The class wraps the class, which allows you to add the class as a subelement of the class. Use the property to access the class contained within the class.

  Gets or sets an object that encapsulates an encrypted key.

- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement To be added.

  Returns an XML representation of a object.

  An XML representation of a object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Parses the input object and configures the internal state of the object to match.

  The object that specifies the state of the object.